Port Kile to MovingRanges.

Review Request #100173 - Created Nov. 26, 2010 and discarded

Information
Andrius Štikonas
kile
Reviewers
kile
Make Kile work with KDE 4.6 and MovingRanges.
It compiles on KDE 4.5. Code completion seems to work. But I haven't tested more thoroughly.
Andrius Štikonas
Review request changed

Testing Done:

~  

It compiles on KDE 4.5. Code completion seems to work. But I haven't tested more thouroughly.

  ~

It compiles on KDE 4.5. Code completion seems to work. But I haven't tested more thoroughly.

Michel Ludwig

   
CMakeLists.txt (Diff revision 1)
 
 
I don't think that we can require KDE 4.5 just yet as KDE 4.4 is still in wide-spread use.

Can you put the new code within #idefs? 
src/codecompletion.cpp (Diff revision 1)
 
 
Why is necessary to remove this method?

It seems to me that now the model might not be updated once the completion is shown and some text is changed.
Loading...